| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUITabControl Class Reference

A standard tab control. More...

`#include <IGUITabControl.h>`

Inheritance diagram for irr::gui::IGUITabControl:

List of all members.

## Public Member Functions

- IGUITabControl (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
    constructor
- virtual IGUITab * addTab (const wchar_t *caption, s32 id=-1)=0
    Adds a tab.
- virtual void clear ()=0
    Clears the tabcontrol removing all tabs.
- virtual s32 getActiveTab () const =0
    Returns which tab is currently active.
- virtual IGUITab * getTab (s32 idx) const =0
    Returns a tab based on zero based index.
- virtual s32 getTabAt (s32 xpos, s32 ypos) const =0
    get the the id of the tab at the given absolute coordinates
- virtual s32 getTabCount () const =0
    Returns amount of tabs in the tabcontrol.
- virtual s32 getTabExtraWidth () const =0
    Get the extra width added to tabs on each side of the text.
- virtual s32 getTabHeight () const =0
    Get the height of the tabs.
- virtual s32 getTabMaxWidth () const =0
    get the maximal width of a tab
- virtual gui::EGUI_ALIGNMENT getTabVerticalAlignment () const =0
    Get the alignment of the tabs.
- virtual IGUITab * insertTab (s32 idx, const wchar_t *caption, s32 id=-1)=0
    Insert the tab at the given index.
- virtual void removeTab (s32 idx)=0
    Removes a tab from the tabcontrol.
- virtual bool setActiveTab (s32 idx)=0
    Brings a tab to front.
- virtual bool setActiveTab (IGUITab *tab)=0
    Brings a tab to front.
- virtual void setTabExtraWidth (s32 extraWidth)=0
    Set the extra width added to tabs on each side of the text.
- virtual void setTabHeight (s32 height)=0
    Set the height of the tabs.
- virtual void setTabMaxWidth (s32 width)=0
    set the maximal width of a tab. Per default width is 0 which means "no width restriction".
- virtual void setTabVerticalAlignment (gui::EGUI_ALIGNMENT alignment)=0
    Set the alignment of the tabs.

## Detailed Description

A standard tab control.

This element can create the following events of type EGUI_EVENT_TYPE:
  - EGET_TAB_CHANGED

Definition at line 55 of file IGUITabControl.h.

## Constructor & Destructor Documentation

irr::gui::IGUITabControl::IGUITabControl | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle
| ) |  | `[inline]`

constructor

Definition at line 60 of file IGUITabControl.h.

## Member Function Documentation

virtual IGUITab* irr::gui::IGUITabControl::addTab | ( | const wchar_t * | caption,
|  | s32 | id = `-1`
| ) |  | `[pure virtual]`

Adds a tab.

virtual void irr::gui::IGUITabControl::clear | ( |  | ) | `[pure virtual]`

Clears the tabcontrol removing all tabs.

virtual s32 irr::gui::IGUITabControl::getActiveTab | ( |  | ) | const`[pure virtual]`

Returns which tab is currently active.

virtual IGUITab* irr::gui::IGUITabControl::getTab | ( | s32 | idx | ) | const`[pure virtual]`

Returns a tab based on zero based index.

Parameters:

  idx,: | zero based index of tab. Is a value betwenn 0 and getTabcount()-1;

Returns:
  Returns pointer to the Tab. Returns 0 if no tab is corresponding to this tab.

virtual s32 irr::gui::IGUITabControl::getTabAt | ( | s32 | xpos,
|  | s32 | ypos
| ) |  | const`[pure virtual]`

get the the id of the tab at the given absolute coordinates

Returns:
  The id of the tab or -1 when no tab is at those coordinates

virtual s32 irr::gui::IGUITabControl::getTabCount | ( |  | ) | const`[pure virtual]`

Returns amount of tabs in the tabcontrol.

virtual s32 irr::gui::IGUITabControl::getTabExtraWidth | ( |  | ) | const`[pure virtual]`

Get the extra width added to tabs on each side of the text.

return Returns the extra width of the tabs

virtual s32 irr::gui::IGUITabControl::getTabHeight | ( |  | ) | const`[pure virtual]`

Get the height of the tabs.

return Returns the height of the tabs

virtual s32 irr::gui::IGUITabControl::getTabMaxWidth | ( |  | ) | const`[pure virtual]`

get the maximal width of a tab

virtual gui::EGUI_ALIGNMENT irr::gui::IGUITabControl::getTabVerticalAlignment | ( |  | ) | const`[pure virtual]`

Get the alignment of the tabs.

return Returns the alignment of the tabs

virtual IGUITab* irr::gui::IGUITabControl::insertTab | ( | s32 | idx,
|  | const wchar_t * | caption,
|  | s32 | id = `-1`
| ) |  | `[pure virtual]`

Insert the tab at the given index.

Returns:
  The tab on success or NULL on failure.

virtual void irr::gui::IGUITabControl::removeTab | ( | s32 | idx | ) | `[pure virtual]`

Removes a tab from the tabcontrol.

virtual bool irr::gui::IGUITabControl::setActiveTab | ( | s32 | idx | ) | `[pure virtual]`

Brings a tab to front.

Parameters:

  idx,: | number of the tab.

Returns:
  Returns true if successful.

virtual bool irr::gui::IGUITabControl::setActiveTab | ( | IGUITab * | tab | ) | `[pure virtual]`

Brings a tab to front.

Parameters:

  tab,: | pointer to the tab.

Returns:
  Returns true if successful.

virtual void irr::gui::IGUITabControl::setTabExtraWidth | ( | s32 | extraWidth | ) | `[pure virtual]`

Set the extra width added to tabs on each side of the text.

virtual void irr::gui::IGUITabControl::setTabHeight | ( | s32 | height | ) | `[pure virtual]`

Set the height of the tabs.

virtual void irr::gui::IGUITabControl::setTabMaxWidth | ( | s32 | width | ) | `[pure virtual]`

set the maximal width of a tab. Per default width is 0 which means "no width restriction".

virtual void irr::gui::IGUITabControl::setTabVerticalAlignment | ( | gui::EGUI_ALIGNMENT | alignment | ) | `[pure virtual]`

Set the alignment of the tabs.

Use EGUIA_UPPERLEFT or EGUIA_LOWERRIGHT

The documentation for this class was generated from the following file:

- IGUITabControl.h